using UnityEngine;
using System.Collections;

public class LevelGenerator {

	private GameController gc;

	public LevelGenerator(GameController g)
	{
		gc = g;
	}

	public LevelData GenerateLevel(int level)
	{
		LevelData data = new LevelData(level);
		data.StartPosition = new Vector2(1f,1f);

		// ADD YOUR LEVEL GENERATION CODE HERE
		// you should generate conceptual lists here
		// and then instantiate them as transforms in LevelInstantiator

		return data;
	}

}
